package com.astrum.utils;

import java.io.IOException;

public class HttpStatusException extends IOException {
    /**
	 * 
	 */
	private static final long serialVersionUID = -4877991724917805143L;
	private int statusCode;
    private String url;
    public HttpStatusException(String message, int statusCode, String url) {
        super(message);
        this.statusCode = statusCode;
        this.url = url;
    }

    public HttpStatusException(int statusCode, String url) {
        this(null,statusCode,url);

    }

    public int getStatusCode() {
        return statusCode;
    }

    public String getUrl() {
        return url;
    }

    @Override
    public String toString() {
        return super.toString() + ". Status=" + statusCode + ", URL=" + url;
    }
}
